ATA_ALTSTATUS(9)

NAME
ata_altstatus - Read device alternate status reg

SYNOPSIS

u8 ata_altstatus (struct ata_port * ap);

ARGUMENTS

ap  port where the device is

DESCRIPTION

Reads ATA taskfile alternate status register for currently-selected device and return its value.

NOTE

may NOT be used as the check_altstatus entry in ata_port_operations.

LOCKING

Inherited from caller.

AUTHOR
Jeff Garzik.